/[gentoo-x86]/eclass/autotools.eclass
Gentoo

Diff of /eclass/autotools.eclass

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.61 Revision 1.62
1# Copyright 1999-2005 Gentoo Foundation 1# Copyright 1999-2005 Gentoo Foundation
2# Distributed under the terms of the GNU General Public License v2 2# Distributed under the terms of the GNU General Public License v2
3# $Header: /var/cvsroot/gentoo-x86/eclass/autotools.eclass,v 1.61 2007/01/04 14:56:46 flameeyes Exp $ 3# $Header: /var/cvsroot/gentoo-x86/eclass/autotools.eclass,v 1.62 2007/01/08 23:04:49 flameeyes Exp $
4# 4#
5# Author: Diego Pettenò <flameeyes@gentoo.org> 5# Author: Diego Pettenò <flameeyes@gentoo.org>
6# Enhancements: Martin Schlemmer <azarah@gentoo.org> 6# Enhancements: Martin Schlemmer <azarah@gentoo.org>
7# 7#
8# This eclass is for handling autotooled software packages that 8# This eclass is for handling autotooled software packages that
15_automake_atom="sys-devel/automake" 15_automake_atom="sys-devel/automake"
16_autoconf_atom="sys-devel/autoconf" 16_autoconf_atom="sys-devel/autoconf"
17if [[ -n ${WANT_AUTOMAKE} ]]; then 17if [[ -n ${WANT_AUTOMAKE} ]]; then
18 case ${WANT_AUTOMAKE} in 18 case ${WANT_AUTOMAKE} in
19 # workaround while we have different versions of automake in arch and ~arch 19 # workaround while we have different versions of automake in arch and ~arch
20 none) _automake_atom="" ;; # some packages don't require automake at all
20 latest) _automake_atom="|| ( =sys-devel/automake-1.10* =sys-devel/automake-1.9* )" ;; 21 latest) _automake_atom="|| ( =sys-devel/automake-1.10* =sys-devel/automake-1.9* )" ;;
21 *) _automake_atom="=sys-devel/automake-${WANT_AUTOMAKE}*" ;; 22 *) _automake_atom="=sys-devel/automake-${WANT_AUTOMAKE}*" ;;
22 esac 23 esac
23fi 24fi
24 25
211 for amver in 1.10 1.9 1.8 1.7 1.6; do 212 for amver in 1.10 1.9 1.8 1.7 1.6; do
212 WANT_AUTOMAKE="${amver}" 213 WANT_AUTOMAKE="${amver}"
213 ROOT=/ has_version =sys-devel/automake-${amver}* && break 214 ROOT=/ has_version =sys-devel/automake-${amver}* && break
214 done 215 done
215 fi 216 fi
217
218 # Don't do stuff if no autoamke is requested/required
219 if [[ ${WANT_AUTOMAKE} != "none" ]]; then
216 export WANT_AUTOMAKE 220 export WANT_AUTOMAKE
217 einfo "Requested automake ${latest_automake}${WANT_AUTOMAKE}" 221 einfo "Requested automake ${latest_automake}${WANT_AUTOMAKE}"
218 einfo "Using $(automake --version 2>/dev/null | head -n 1)" 222 einfo "Using $(automake --version 2>/dev/null | head -n 1)"
219 einfo "Using $(aclocal --version 2>/dev/null | head -n 1)" 223 einfo "Using $(aclocal --version 2>/dev/null | head -n 1)"
224 fi
220 else 225 else
221 ewarn "QA Notice: \${WANT_AUTOMAKE} variable unset. Please report on http://bugs.gentoo.org/" 226 ewarn "QA Notice: \${WANT_AUTOMAKE} variable unset. Please report on http://bugs.gentoo.org/"
222 fi 227 fi
223 228
224 autotools_version_sets="yes" 229 autotools_version_sets="yes"

Legend:
Removed from v.1.61  
changed lines
  Added in v.1.62

  ViewVC Help
Powered by ViewVC 1.1.20